## mingw-w64-python-cx-freeze-8.5.0-1.src.tar.zst

=== requirements.txt ===
freeze-core>=0.4.0
packaging>=24
setuptools>=78.1.1,<81
tomli>=2.0.1 ;python_version == '3.10'
filelock>=3.12.3 ;sys_platform == 'linux'
patchelf>=0.14,<0.18 ;sys_platform == 'linux' and platform_machine == 'x86_64'
patchelf>=0.14,<0.18 ;sys_platform == 'linux' and platform_machine == 'i686'
patchelf>=0.14,<0.18 ;sys_platform == 'linux' and platform_machine == 'aarch64'
patchelf>=0.14,<0.18 ;sys_platform == 'linux' and platform_machine == 'armv7l'
patchelf>=0.14,<0.18 ;sys_platform == 'linux' and platform_machine == 'ppc64le'
patchelf>=0.14,<0.18 ;sys_platform == 'linux' and platform_machine == 's390x'
dmgbuild>=1.6.1 ;sys_platform == 'darwin'
lief>=0.15.1,<=0.17.1 ;sys_platform == 'win32' and platform_machine != 'ARM64'
lief>=0.15.1,<=0.17.1 ;sys_platform == 'win32' and platform_machine == 'ARM64' and python_version <= '3.13'
python-msilib>=0.4.1 ;sys_platform == 'win32' and python_version >= '3.13'

=== doc/requirements.txt ===
sphinx==8.2.3 ;python_version >= '3.11'
sphinx-issues==5.0.1 ;python_version >= '3.11'
sphinx-new-tab-link==0.8.1 ;python_version >= '3.11'
sphinx-tabs==3.4.7 ;python_version >= '3.11'
furo==2025.9.25 ;python_version >= '3.11'
myst-parser==4.0.1 ;python_version >= '3.11'

=== tests/requirements.txt ===
coverage==7.12.0
filelock>=3.15.3
pytest==9.0.1
pluggy==1.6.0
pytest-mock==3.15.1
pytest-timeout==2.4.0
pytest-xdist==3.8.0

=== PKGBUILD ===
# Maintainer: Marcelo Duarte @marcelotduarte
# Maintainer: Frode Solheim <frode@fs-uae.net>
# Contributor: Duong Pham <dthpham@gmail.com>
# Contributor: Lara Maia <dev@lara.click>

_realname=cx-freeze
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=8.5.0
pkgrel=1
pkgdesc="Creates standalone executables from Python scripts with the same performance as the original script (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://github.com/marcelotduarte/cx_Freeze/"
msys2_references=(
  'purl: pkg:pypi/cx-freeze'
)
license=('spdx:PSF-2.0')
depends=(
  "${MINGW_PACKAGE_PREFIX}-python"
  "${MINGW_PACKAGE_PREFIX}-python-packaging"
  "${MINGW_PACKAGE_PREFIX}-python-setuptools"
  "${MINGW_PACKAGE_PREFIX}-python-cx-logging"
  "${MINGW_PACKAGE_PREFIX}-python-lief"
  "${MINGW_PACKAGE_PREFIX}-python-freeze-core"
)
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-python-build"
  "${MINGW_PACKAGE_PREFIX}-python-installer"
)
checkdepends=(
  "${MINGW_PACKAGE_PREFIX}-python-pip"
  "${MINGW_PACKAGE_PREFIX}-python-coverage"
  "${MINGW_PACKAGE_PREFIX}-python-pytest"
  "${MINGW_PACKAGE_PREFIX}-python-pytest-mock"
  "${MINGW_PACKAGE_PREFIX}-python-pytest-timeout"
  "${MINGW_PACKAGE_PREFIX}-python-pytest-xdist"
)
options=(!strip)
source=(
  "https://pypi.org/packages/source/${_realname::1}/${_realname/-/_}/${_realname/-/_}-${pkgver}.tar.gz"
  #"${url}/archive/${pkgver}/${_realname}-${pkgver}.tar.gz"
)
sha256sums=(
  "4bdf7a4273e224fb98800785b72541f3c578107891529b5bd8068b5d0a19fd95"
)

prepare() {
  cd cx_freeze-${pkgver}
  # ignore version check for setuptools
  sed -i 's/"setuptools>=.*"/"setuptools"/' pyproject.toml

  rm -Rf "${srcdir}"/python-${_realname}-${MSYSTEM}
  cp -a "${srcdir}"/cx_freeze-${pkgver} "${srcdir}"/python-${_realname}-${MSYSTEM}
}

build() {
  cd python-${_realname}-${MSYSTEM}
  python -m build --wheel --skip-dependency-check --no-isolation
}

check() {
  cd python-${_realname}-${MSYSTEM}
  pip install cx_Freeze -f dist --no-deps --no-index
  coverage run
}

package() {
  cd python-${_realname}-${MSYSTEM}
  MSYS2_ARG_CONV_EXCL="--prefix=" \
    python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl
  install -Dm644 LICENSE.md "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/LICENSE.md"
}
